KABC::VCardFormatPlugin class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KABC::VCardFormatPlugin Class Reference

Interface of vCard backend for address book. More...

`#include <vcardformatplugin.h>`

Inheritance diagram for KABC::VCardFormatPlugin:

[legend]
Collaboration diagram for KABC::VCardFormatPlugin:

[legend]
List of all members.

## Public Member Functions
bool | load (Addressee &, QFile *file)
| Load single addressee from file.
bool | loadAll (AddressBook *, Resource *, QFile *file)
| Load whole addressbook from file.
void | save (const Addressee &, QFile *file)
| Save a single Addressee to file.
void | saveAll (AddressBook *, Resource *, QFile *file)
| Save whole addressbook to file.
bool | checkFormat (QFile *file) const
| Checks if given file contains the right format.

## Detailed Description

Interface of vCard backend for address book.

This class implements the file format interface of address book entries for the vCard format.

Definition at line 38 of file vcardformatplugin.h.

## Member Function Documentation

bool VCardFormatPlugin::load | ( | Addressee & | ,
|  | QFile * | file
| ) | `[virtual]`

| Load single addressee from file. Implements KABC::FormatPlugin. Definition at line 36 of file vcardformatplugin.cpp. References KABC::VCardFormatImpl::load().

bool VCardFormatPlugin::loadAll | ( | AddressBook * | ,
|  | Resource * | ,
|  | QFile * | file
| ) | `[virtual]`

| Load whole addressbook from file. Implements KABC::FormatPlugin. Definition at line 41 of file vcardformatplugin.cpp. References KABC::VCardFormatImpl::loadAll().

void VCardFormatPlugin::save | ( | const Addressee & | ,
|  | QFile * | file
| ) | `[virtual]`

| Save a single Addressee to file. Implements KABC::FormatPlugin. Definition at line 46 of file vcardformatplugin.cpp. References KABC::VCardFormatImpl::save().

void VCardFormatPlugin::saveAll | ( | AddressBook * | ,
|  | Resource * | ,
|  | QFile * | file
| ) | `[virtual]`

| Save whole addressbook to file. Implements KABC::FormatPlugin. Definition at line 51 of file vcardformatplugin.cpp. References KABC::VCardFormatImpl::saveAll().

bool VCardFormatPlugin::checkFormat | ( | QFile * | file | ) | const`[virtual]`

| Checks if given file contains the right format. Implements KABC::FormatPlugin. Definition at line 56 of file vcardformatplugin.cpp. References QFile::readLine(), and QString::stripWhiteSpace().

The documentation for this class was generated from the following files:

- vcardformatplugin.h
- vcardformatplugin.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:29:52 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001